org.apache.tapestry5.internal.services

## Class RenderQueueImpl

- java.lang.Object
- - org.apache.tapestry5.internal.services.RenderQueueImpl

- All Implemented Interfaces:
    RenderQueue

      public class RenderQueueImpl
      extends Object
      implements RenderQueue

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderQueueImpl(org.slf4j.Logger logger)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endComponent()` Corresponds to `RenderQueue.startComponent(ComponentResources)`, used to denote when the most recently started component finishes rendering.
    `void` | `push(RenderCommand command)` Adds the new command to the front of the queue.
    `void` | `run(MarkupWriter writer)`
    `void` | `startComponent(ComponentResources resources)` Indicates that a component is starting its render.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RenderQueueImpl

          public RenderQueueImpl(org.slf4j.Logger logger)

  - ### Method Detail

    - #### push

          public void push(RenderCommand command)

      Description copied from interface: `RenderQueue`
      Adds the new command to the front of the queue.
      Specified by:
        `push` in interface `RenderQueue`

    - #### run

          public void run(MarkupWriter writer)

    - #### startComponent

          public void startComponent(ComponentResources resources)

      Description copied from interface: `RenderQueue`
      Indicates that a component is starting its render. A stack of active components is used for exception reporting.
      Specified by:
        `startComponent` in interface `RenderQueue`
      Parameters:
        `resources` - identifies the component that is rendering

    - #### endComponent

          public void endComponent()

      Description copied from interface: `RenderQueue`
      Corresponds to `RenderQueue.startComponent(ComponentResources)`, used to denote when the most recently started component finishes rendering.
      Specified by:
        `endComponent` in interface `RenderQueue`

5.6.4 - Copyright © 2003-2021 The Apache Software Foundation.